> ## Documentation Index
> Fetch the complete documentation index at: https://docs.elumenta.ru/llms.txt
> Use this file to discover all available pages before exploring further.

# AI Tools

> Face Swap, Remove BG, Style Transfer, Colorize, OCR — all tools are free

All AI tools are **free** on every plan.

## Available Tools

| Slug             | Description                      |
| ---------------- | -------------------------------- |
| `upscale-esrgan` | 2x / 4x image upscaling          |
| `face-swap`      | Swap faces between two images    |
| `remove-bg`      | Remove background from image     |
| `style-transfer` | Apply artistic style to image    |
| `colorize`       | Colorize black-and-white photos  |
| `ocr`            | Extract text from images         |
| `inpaint`        | Edit selected region of an image |

## Via /generate endpoint

```bash theme={null}
curl -X POST https://elumenta.ru/api/v2/generate \
  -H "Authorization: Bearer nb_YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "remove-bg",
    "prompt": "remove background",
    "params": {
      "image_url": "https://example.com/photo.jpg"
    }
  }'
```

## Via /tools endpoint (multipart)

```bash theme={null}
curl -X POST https://elumenta.ru/api/v2/tools \
  -H "Authorization: Bearer nb_YOUR_API_KEY" \
  -F "model=face-swap" \
  -F "source_image=@face.jpg" \
  -F "target_image=@target.jpg"
```

Poll status: `GET /api/v2/tools/{generation_id}`

## Response

```json theme={null}
{
  "id": 18520,
  "status": "completed",
  "model_slug": "remove-bg",
  "result_url": "https://storage.elumenta.ru/generations/18520.png",
  "tokens_spent": 0,
  "processing_ms": 2140
}
```
